Package io.vertx.rxjava3.httpproxy.interceptors

## Class QueryInterceptor

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.interceptors.QueryInterceptor

-     public class QueryInterceptor
      extends Object

  The general interceptor for query parameters.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<QueryInterceptor>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryInterceptor​(QueryInterceptor delegate)` |
    `QueryInterceptor​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ProxyInterceptor` | `changeQueryParams​(Handler<MultiMap> changeQueries)` | Apply callbacks to modify the query parameters.
    `boolean` | `equals​(Object o)` |
    `QueryInterceptor` | `getDelegate()` |
    `int` | `hashCode()` |
    `static QueryInterceptor` | `newInstance​(QueryInterceptor arg)` |
    `static ProxyInterceptor` | `removeQueryParam​(String name)` | Remove a query parameter to the request.
    `static ProxyInterceptor` | `setQueryParam​(String name, String value)` | Add a query parameter to the request.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<QueryInterceptor> __TYPE_ARG

  - ### Constructor Detail

    - #### QueryInterceptor

          public QueryInterceptor​(QueryInterceptor delegate)

    - #### QueryInterceptor

          public QueryInterceptor​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public QueryInterceptor getDelegate()

    - #### changeQueryParams

          public static ProxyInterceptor changeQueryParams​(Handler<MultiMap> changeQueries)

      Apply callbacks to modify the query parameters.
      Parameters:
        `changeQueries` - the operation to apply to the request query parameters
      Returns:
        the created interceptor

    - #### setQueryParam

          public static ProxyInterceptor setQueryParam​(String name,
                                                       String value)

      Add a query parameter to the request.
      Parameters:
        `name` - the parameter name
        `value` - the parameter value
      Returns:
        the created interceptor

    - #### removeQueryParam

          public static ProxyInterceptor removeQueryParam​(String name)

      Remove a query parameter to the request.
      Parameters:
        `name` - the parameter name
      Returns:
        the created interceptor

    - #### newInstance

          public static QueryInterceptor newInstance​(QueryInterceptor arg)